/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

uint8_t I2C_ReadBuffer[64];
uint8_t I2C_WriteBuffer[64];
uint8_t I2C_Status = 0;


int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    SI2C_Start();
    LED1_Write(0);
    LED3_Write(1);
    SI2C_SlaveInitReadBuf(I2C_ReadBuffer,64);
    SI2C_SlaveInitWriteBuf(I2C_WriteBuffer,64);
    for(;;)
    {
        /* Place your application code here. */
        if (BLStart_Read() == 0){
               Bootloadable_Load();
        }
        
        I2C_Status = SI2C_SlaveStatus();
        if (I2C_Status & SI2C_SSTAT_WR_CMPLT){
            /*We get here, we should have a buffer with bytes from the master*/
            SI2C_SlaveClearWriteBuf();
            SI2C_SlaveClearWriteStatus();
            
        }

        if (I2C_Status & SI2C_SSTAT_RD_CMPLT){
            SI2C_SlaveClearReadBuf();
            SI2C_SlaveClearReadStatus();
        }
        
        
        
    }
}

/* [] END OF FILE */
